import { AfterViewInit, ElementRef, OnDestroy, OnInit, ViewContainerRef } from '@angular/core';
import { Overlay } from '@angular/cdk/overlay';
export declare class DropdownComponent implements OnInit, OnDestroy, AfterViewInit {
    private elementRef;
    private viewContainerRef;
    private overlay;
    private content;
    private overlayRef;
    private subscription;
    constructor(elementRef: ElementRef, viewContainerRef: ViewContainerRef, overlay: Overlay);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    show(originElement?: ElementRef | Element): void;
    hide(): void;
}
